%global libversion 0.26

%lib_package myth-%{libversion} 0
%lib_package mythavcodec 54
%lib_package mythavdevice 54
%lib_package mythavfilter 2
%lib_package mythavformat 54
%lib_package mythavutil 51
%lib_package mythpostproc 52
%lib_package mythnzmqt 0
%lib_package mythqjson 0
%lib_package mythswresample 0
%lib_package mythswscale 2
%lib_package mythzmq 1
%lib_package mythfreemheg-%{libversion} 0
%lib_package mythlivemedia-%{libversion} 0
%lib_package mythtv-%{libversion} 0
%lib_package mythui-%{libversion} 0
%lib_package mythupnp-%{libversion} 0
%lib_package mythbase-%{libversion} 0
%lib_package mythhdhomerun-%{libversion} 0

%lib_package mythmetadata-%{libversion} 0
%lib_package mythservicecontracts-%{libversion} 0
%lib_package mythprotoserver-%{libversion} 0

# conditional builds and default values
%bcond_with    debug
%bcond_with    v4l_headers
%bcond_without pulseaudio
%bcond_without bindings_python
%bcond_with    opengles
%bcond_without libvpx

%define desktop_applications mythfrontend mythtv-setup
%define desktop_vendor atrpms

Summary: A personal video recorder (PVR) application
Name: mythtv
Version: 0.26.1
%global mythtvfrontendapi %(echo %{eversion} | awk -F. '{print $1 "." $2}')
Release: 296%{?dist}
URL: http://www.mythtv.org/
License: GPLv2
Group: Applications/Multimedia
Source0: http://www.mythtv.org/mc/mythtv-0.26.0.tar.bz2
Source1: http://www.mythtv.org/mc/mythplugins-0.26.0.tar.bz2
Source101: mythbackend.sysconfig.in
Source102: mythbackend-0.25.init.in
Source103: mythbackend.logrotate.in
Source104: mythfrontend.logrotate.in
Source105: mythfilldatabase.logrotate.in
Source106: mythfrontend.png
Source107: mythfrontend.desktop
Source108: mythtv-setup.png
Source109: mythtv-setup.desktop
Patch100: mythtv-0.26.0-gitfixes.patch
#Patch101: mythtv-0.24-ostreaming.patch
Patch200: mythplugins-0.26.0-gitfixes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++
BuildRequires: libXxf86vm-devel, libXmu-devel
#BuildRequires: %{_includedir}/freetype2
BuildRequires: freetype-devel >= 2
BuildRequires: qt4-devel >= 4.6.0, mysql-devel
%{?with_pulseaudio:BuildRequires: pulseaudio-libs-devel >= 0.9.7}
BuildRequires: alsa-lib-devel >= 1.0.18, arts-devel
BuildRequires: jack-audio-connection-kit-devel
%{?with_v4l_headers:BuildRequires: video4linux-devel}
BuildRequires: lirc-devel
BuildRequires: libGL-devel, libGLU-devel
BuildRequires: libiec61883-devel >= 1.0.0, libraw1394-devel, libavc1394-devel >= 0.5.3
BuildRequires: libdvdnav-devel
BuildRequires: libxml2-devel
BuildRequires: desktop-file-utils
BuildRequires: lm_sensors-devel
BuildRequires: python-devel, python
%if %{with bindings_python}
BuildRequires: MySQL-python, python-lxml, python-urlgrabber
%endif
BuildRequires: perl(ExtUtils::MakeMaker), perl(Config), perl(Exporter)
BuildRequires: perl(Fcntl), perl(File::Copy), perl(Sys::Hostname)
BuildRequires: perl(DBI), perl(HTTP::Request), perl(LWP::UserAgent)
BuildRequires: perl(Net::UPnP::QueryResponse), perl(Net::UPnP::ControlPoint)
BuildRequires: perl(IO::Socket::INET6)
BuildRequires: perl(DBD::mysql), perl(Date::Manip)
#
BuildRequires: taglib-devel >= 1.6
BuildRequires: lame-devel
BuildRequires: libogg-devel, libvorbis-devel, libtheora-devel
BuildRequires: faad2-devel
BuildRequires: faac-devel
BuildRequires: gsm-devel
BuildRequires: xvidcore-devel
BuildRequires: x264-devel
BuildRequires: a52dec-devel
BuildRequires: libdca-devel
#
BuildRequires: gcc-c++, qt4-devel
BuildRequires: libGL-devel, libGLU-devel
BuildRequires: libXmu-devel, libXxf86vm-devel
BuildRequires: fribidi-devel >= 0.19
BuildRequires: yasm
BuildRequires: libcrystalhd-devel
BuildRequires: libvdpau-devel
BuildRequires: libass-devel
%{?with_opengles:BuildRequires: mesa-libGLES-devel}
BuildRequires: libva-devel >= 0.31.1
BuildRequires: avahi-compat-libdns_sd-devel
BuildRequires: faac-devel
%{?with_libvpx:BuildRequires: libvpx-devel}

BuildRequires: libuuid-devel

### mythmusic
BuildRequires: libmad-devel, libid3tag-devel , libvorbis-devel >= 1.0, flac-devel >= 1.0.4
#BuildRequires: libcdaudio-devel >= 0.99.6, cdparanoia-devel
BuildRequires: fftw-devel
BuildRequires: fftw2-devel >= 2.1.3, fftw2-devel < 3
BuildRequires: lame-devel
BuildRequires: /usr/include/GL/gl.h
#BuildRequires: SDL-devel
BuildRequires: faad2-devel
#BuildRequires: libvisual-devel
### mythgallery
BuildRequires: libtiff-devel
BuildRequires: /usr/include/GL/gl.h
BuildRequires: libexif-devel >= 0.6.9
BuildRequires: dcraw
### mythgame
BuildRequires: zlib-devel
### formerly mythvideo (formerly mythdvd)
BuildRequires: libdvdread-devel >= 0.9.4, nasm
# nasm >= 0.98.36
BuildRequires: mjpegtools-devel >= 1.6.1, xvidcore-devel >= 0.9.1
BuildRequires: a52dec-devel, libfame-devel >= 0.9.0
BuildRequires: transcode >= 0.6.8
# For <= RH8.0
BuildRequires: freetype-devel
### mythbrowser
BuildRequires: kdelibs3-devel
### mythnetvision
BuildRequires: python-pycurl, python-lxml, python-oauth
### mythweather
BuildRequires: perl(Date::Manip), perl(XML::Simple), perl(Image::Size)
BuildRequires: perl(DateTime::Format::ISO8601), perl(SOAP::Lite)
BuildRequires: perl(XML::XPath)
BuildRequires: perl(JSON)

###

#BuildRequires: nvidia-graphics-devel
BuildRequires: opencore-amr-devel

Requires: mythtv-docs = %{evr}, mythtv-backend = %{evr}
Requires: mythtv-frontend = %{evr}, mythtv-setup = %{evr}
Requires: perl-MythTV = %{evr}
%if %{with bindings_python}
Requires: python-MythTV = %{evr}
%else
Conflicts: python-MythTV
%endif
Requires: mythplugins = %{evr}, mythweb
Obsoletes: myththemes

Requires: mysql-server, mysql
Requires: xmltv
#Requires: wget >= 1.9.1

Provides: mythtv-suite = %{evr}
Obsoletes: mythtv-suite < %{evr}
Obsoletes: libmyth < %{evr}

%description
MythTV implements the following PVR features, and more, with a
unified graphical interface:

 - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
 - Video compression using RTjpeg or MPEG-4
 - Program listing retrieval using XMLTV
 - Themable, semi-transparent on-screen display
 - Electronic program guide
 - Scheduled recording of TV programs
 - Resolution of conflicts between scheduled recordings
 - Basic video editing

%package docs
Summary: Documentation for mythtv
Group: Applications/Multimedia

%description docs
This package contains documentation for mythtv.

%package common
Summary: MythTV components shared by front- and backend
Group: Applications/Multimedia

%description common
This package contains parts of MythTV that are either needed by both
the front- and backend or that don't fit in other package, but don't
deserve an extra subpackage.

%devel_extra_Requires freetype-devel >= 2, lame-devel, qt4-devel >= 4.6.0,
%devel_extra_Requires mysql-devel
%devel_extra_Requires alsa-lib-devel, arts-devel
%devel_extra_Requires lirc-devel
%{?with_v4l_headers:%devel_extra_Requires video4linux-devel}
%devel_extra_Requires libiec61883-devel >= 0.1.0svn49, libraw1394-devel, libavc1394-devel
%devel_extra_Requires libGL-devel, libGLU-devel
%devel_extra_Requires libdvdnav-devel
%devel_extra_Requires jack-audio-connection-kit-devel

%package themes
Summary: Base themes for mythtv's frontend
Group: Applications/Multimedia
Requires: liberation-sans-fonts, dejavu-sans-fonts, google-droid-sans-fonts
Provides: mythtv-theme-gant = %{evr}
Obsoletes: mythtv-theme-gant < %{evr}

%description themes
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the base themes used by the frontend and
mythtvsetup.

%package frontend
Summary: Client component of mythtv (a PVR)
Group: Applications/Multimedia
Requires: mythtv-common = %{evr}, mythtv-themes = %{evr}
Requires: qt4-mysql
Requires: bzip2
Provides: mythtv-frontend-api = %{mythtvfrontendapi}
Obsoletes: mythphone <= %{evr}, mythcontrols <= %{evr}
Obsoletes: mythflix <= %{evr}
Obsoletes: mythmovies <= %{evr}
# formerly mythvideo
Requires: mplayer
Requires: transcode >= 0.6.8
Requires: perl-MythTV = %{evr}
%if %{with bindings_python}
Requires: python-MythTV = %{evr}
%endif
Requires: MySQL-python
Provides: mythdvd = %{evr}
Obsoletes: mythdvd < %{evr}
Provides: mythvideo = %{evr}
Obsoletes: mythvideo < %{evr}

%description frontend
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the client software, which provides a
front-end for playback and configuration.  It requires access to a
mythtv-backend installation, either on the same system or one
reachable via the network.

%package backend
Summary: Server component of mythtv (a PVR)
Group: Applications/Multimedia
Requires: mythtv-common = %{evr}
Requires: bzip2
Conflicts: xmltv-grabbers < 0.5.34

%description backend
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the server software, which provides video
and audio capture and encoding services.  In order to be useful, it
requires a mythtv-frontend installation, either on the same system or
one reachable via the network.

%package setup
Summary: Setup the mythtv backend
Group: Applications/Multimedia
Requires: mythtv-backend = %{evr}
Requires: mythtv-themes = %{evr}
Requires: qt4-mysql
Obsoletes: mythtvsetup < %{evr}
Provides: mythtvsetup = %{evr}

%description setup
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the setup software for configuring the
mythtv backend.

%package -n perl-MythTV
Summary: perl bindings for mythtv
Group: System Environment/Libraries

%description -n perl-MythTV
perl bindings for mythtv.

%if %{with bindings_python}
%package -n python-MythTV
Summary: python bindings for mythtv
Group: System Environment/Libraries

%description -n python-MythTV
python bindings for mythtv.
%endif

%package -n php-MythTV
Summary: php bindings for mythtv
Group: System Environment/Libraries

%description -n php-MythTV
php bindings for mythtv.

%package -n mythplugins
Summary: Main MythTV plugins
Group: Applications/Multimedia

Requires: mythmusic = %{evr}, mythweather = %{evr}
Requires: mythgallery = %{evr}, mythgame = %{evr}
Requires: mythnews = %{evr}, mythbrowser = %{evr}
Requires: mytharchive = %{evr}, mythzoneminder = %{evr}
Requires: mythnetvision = %{evr}

%description -n mythplugins
This is a consolidation of all the official MythTV plugins that used to be
distributed as separate downloads from mythtv.org.

%package -n mythmusic
Summary: The music player add-on module for MythTV
Group: Applications/Multimedia
Requires: mythtv-frontend = %{evr}

%description -n mythmusic
Music add-on for mythtv.

%package -n mythweather
Summary: A MythTV module that displays a weather forcast
Group: Applications/Multimedia
Requires: mythtv-frontend = %{evr}
Requires: perl(XML::SAX::Base)

%description -n mythweather
A MythTV module that displays a weather forcast.

%package -n mythgallery
Summary: A gallery/slideshow module for MythTV
Group: Applications/Multimedia
Requires: mythtv-frontend = %{evr}

%description -n mythgallery
A gallery/slideshow module for MythTV.

%package -n mythgame
Summary: A game frontend (xmame, nes, snes, pc) for MythTV
Group: Applications/Multimedia
Requires: mythtv-frontend = %{evr}

%description -n mythgame
A game frontend (xmame, nes, snes, pc) for MythTV.

%package -n mythnews
Summary: An RSS News Feed Plugin for MythTV
Group: Applications/Multimedia
Requires: mythtv-frontend = %{evr}

%description -n mythnews
An RSS News Feed Plugin for MythTV

%package -n mythbrowser
Summary: A small web browser module for MythTV
Group: Applications/Multimedia
Requires: mythtv-frontend = %{evr}

%description -n mythbrowser
MythBrowser is a full fledged web-browser (multiple tabs) to display
webpages in full-screen mode. Simple page navigation is
possible. Starting with version 0.13 it also has full support for
mouse driven navigation (right mouse opens and clos es the popup
menu).

MythBrowser also contains a BookmarkManager to manage the website
links in a simple mythplugin.

%package -n mytharchive
Summary: A module for MythTV for creating and burning DVDs
Group: Applications/Multimedia
Requires: mythtv-frontend = %{evr}
Requires: python >= 2.3, MySQL-python, PIL, mjpegtools >= 1.6.2, dvdauthor >= 0.6.11
Requires: ffmpeg >= 0.4.9, dvd+rw-tools >= 5.21.4.10.8
Requires: cdrecord >= 2.01, mkisofs >= 2.01
Requires: transcode >= 1.0.2

%description -n mytharchive
MythArchive is a new plugin for MythTV that lets you create DVDs from
your recorded shows, MythVideo files and any video files available on
your system.

%package -n mythzoneminder
Summary: A module for MythTV for camera security and surveillance
Group: Applications/Multimedia
Requires: mythtv-frontend = %{evr}

%description -n mythzoneminder
MythZoneMinder is a plugin to interface to some of the features of
ZoneMinder. You can use it to view a status window similar to the
console window in ZM. Also there are screens to view live camera shots
and replay recorded events.

%package -n mythnetvision
Summary: A module for MythTV for providing streaming video on demand.
Group: Applications/Multimedia
Requires: mythtv-frontend = %{evr}
%if %{with bindings_python}
Requires: python-MythTV = %{evr}
%endif
Requires: python-pycurl, MySQL-python, python-lxml, libxml2, libxml2-python

%description -n mythnetvision
Mythnetvision is a plugin to provide streaming video on demand.

%prep
%setup -q -c -a 1
cd mythtv-*
%patch100 -p1
#patch101 -p1 -b .ostreaming

cp -a %{SOURCE101} %{SOURCE102} %{SOURCE103} %{SOURCE104} %{SOURCE105} .
mv mythbackend-0.25.init.in mythbackend.init.in
for file in mythbackend.init \
            mythbackend.sysconfig \
            mythbackend.logrotate \
            mythfrontend.logrotate \
	    mythfilldatabase.logrotate; do
  sed -e's|@logdir@|%{_logdir}|g' \
      -e's|@rundir@|%{_rundir}|g' \
      -e's|@sysconfigdir@|%{_sysconfigdir}|g' \
      -e's|@initdir@|%{_initdir}|g' \
      -e's|@bindir@|%{_bindir}|g' \
      -e's|@sbindir@|%{_sbindir}|g' \
      -e's|@subsysdir@|%{_subsysdir}|g' \
      -e's|@varlibdir@|%{_varlibdir}|g' \
      -e's|@varcachedir@|%{_varcachedir}|g' \
      -e's|@logrotatedir@|%{_logrotatedir}|g' \
  < $file.in > $file
done

cp -a %{SOURCE106} %{SOURCE107} %{SOURCE108} %{SOURCE109} .
cd ..

temp=`pwd`/temp
cd mythplugins-*
perl -pi -e"s,\\\$\\\${DEPLIBS}/libmyth,$temp%{_libdir}/libmyth," targetdep.pro
%patch200 -p1

find . -name \*.pro |\
  xargs perl -pi -e's,\$\${PREFIX}/include/mythtv,'$temp/usr/include/mythtv,
cat >> settings.pro << EOF
INCLUDEPATH += $temp/usr/include
LIBS *= -L$temp%{_libdir}
EOF

cd mythmusic
# Fix /mnt/store -> /var/lib/mythmusic
perl -pi -e's|/mnt/store/music|%{_varlibdir}/mythmusic|' mythmusic/globalsettings.cpp
cd ..

echo "QMAKE_PROJECT_DEPTH = 0" >> settings.pro

cd ..
cd mythtv*
perl -pi -e"s,^SVNTREEDIR = .*,SVNTREEDIR = `pwd`," \
  version.pro
cd ../mythplugins*
perl -pi -e"s,^LIBS = \$\$system.*,LIBS = `mysql_config --libs`," \
  mythzoneminder/mythzmserver/mythzmserver.pro
cd ..

# temp for python >= 2.7 the bindings are broken
# this fixes the build, but at runtime the binding will fail w/o
# taking care of the proper sql bindings.
perl -pi -e's,check_py_lib MythTV,check_py_lib MythTV || :,' \
  mythplugins-*/configure

%build
qt_prefix=`pkg-config --variable=exec_prefix QtCore` || :
if [ "$qt_prefix" = "" ]; then
  qt_prefix=`ls -d %{_libdir}/qt4* 2>/dev/null | tail -n 1`
fi

if ! echo ${PATH} | /bin/grep -q $qt_prefix/bin ; then
   PATH=$qt_prefix/bin:${PATH}
fi
cd mythtv-*
./configure \
  --compile-type=%{?with_debug:debug}%{!?with_debug:release} \
%ifarch %{ix86}
  --cpu=i686 --tune=i686 \
  --enable-mmx \
%endif
%ifarch x86_64
  --arch=x86_64 \
  --enable-mmx \
%endif
  --prefix=%{_prefix} \
  --libdir-name=%{_lib} \
  --x11-path=%{_x_includes} \
  --enable-joystick-menu \
  --enable-lirc \
  --enable-ivtv \
  --enable-firewire \
  --enable-dvb \
  %{?with_v4l_headers:--dvb-path=%{_includedir}/v4l/} \
  --enable-audio-oss --enable-audio-alsa \
  --enable-audio-jack \
  --enable-x11 \
  --enable-xrandr \
  --enable-xv \
  --enable-version3 \
  --enable-libopencore-amrnb --enable-libopencore-amrwb \
  --enable-libfftw3 \
  --enable-opengl-video \
  --enable-vdpau \
%if 0
                 --extra-cflags=-I%{_includedir}/nvidia-graphics \
		 --extra-cxxflags=-I%{_includedir}/nvidia-graphics \
                 --extra-libs=-L%{_libdir}/nvidia-graphics \
%endif
  --enable-crystalhd \
  --enable-vaapi \
  --enable-ffmpeg-pthreads \
  --perl-config-opts=INSTALLDIRS=vendor \
  --enable-libmp3lame \
  --enable-libx264 \
  --enable-libxvid \
  --enable-libfaac \
  %{?with_libvpx:--enable-libvpx} \
  --enable-nonfree \

%ifarch ppc
perl -pi -e"s|^OPTFLAGS=.*|OPTFLAGS=%{optflags} -maltivec -fomit-frame-pointer|" libs/libmythbase/mythconfig.mak
%else
perl -pi -e"s|^OPTFLAGS=.*|OPTFLAGS=%{optflags} -fomit-frame-pointer|" libs/libmythbase/mythconfig.mak
%endif

make
cd ..

mkdir temp
temp=`pwd`/temp
make -C mythtv-* install INSTALL_ROOT=$temp
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$temp%{_libdir}
PYTHONPATH=`python -c "import sys;print(sys.path)"|sed -e"s,'','.'," -e"s|', '|:|g" -e"s,\[',," -e"s,'\],,"`
export PYTHONPATH=$temp%{python_sitelib}:$PYTHONPATH

cd mythplugins-*
./configure \
  --prefix=${temp}%{_prefix} \
  --libdir-name=%{_lib} \
  --enable-opengl \
  --enable-mytharchive \
  --enable-mythbrowser \
  --enable-mythgallery \
  --enable-exif \
  --enable-new-exif \
  --enable-mythgame \
  --enable-mythmusic \
  --enable-fftw \
  --enable-mythnews \
  --enable-mythweather \
  --enable-mythzoneminder \
  --enable-mythnetvision
qmake mythplugins.pro
make
cd ..

%install
rm -rf %{buildroot}
cd mythtv-*
make install INSTALL_ROOT=%{buildroot}

ln -s mythtv-setup %{buildroot}%{_bindir}/mythtvsetup
mkdir -p %{buildroot}%{_varlibdir}/mythtv
mkdir -p %{buildroot}%{_varcachedir}/mythtv
mkdir -p %{buildroot}%{_logdir}/mythtv
mkdir -p %{buildroot}%{_logrotatedir}
mkdir -p %{buildroot}%{_initdir}
mkdir -p %{buildroot}%{_sysconfigdir}

install -p -m 755 mythbackend.init %{buildroot}%{_initdir}/mythbackend
install -p -m 644 mythbackend.sysconfig %{buildroot}%{_sysconfigdir}/mythbackend
install -p -m 644 mythbackend.logrotate  %{buildroot}%{_logrotatedir}/mythbackend
install -p -m 644 mythfrontend.logrotate %{buildroot}%{_logrotatedir}/mythfrontend
install -p -m 644 mythfilldatabase.logrotate %{buildroot}%{_logrotatedir}/mythfilldatabase

# Desktop entries
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications
for file in %{desktop_applications}; do
  install -p $file.png %{buildroot}%{_datadir}/pixmaps/$file.png
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Extra    \
    --add-category Application        \
    --add-category AudioVideo         \
    $file.desktop
done

mkdir -p %{buildroot}%{_libdir}/mythtv/plugins

mkdir -p %{buildroot}%{_datadir}/mythtv/build/
install -p -m 644 settings.pro %{buildroot}%{_datadir}/mythtv/build/

find contrib -type f | xargs -r chmod a-x 
cd ..

echo "%defattr(-,root,root,-)" > mythtv-themes.list
find %{buildroot}%{_datadir}/mythtv/themes -type d | sed -e's,%{buildroot},%dir ,' >> mythtv-themes.list
find %{buildroot}%{_datadir}/mythtv/themes ! -type d | sed -e's,%{buildroot},,' >> mythtv-themes.list

cd mythplugins-*
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_varlibdir}/mythmusic
mkdir -p %{buildroot}%{_varlibdir}/pictures
mkdir -p %{buildroot}%{_datadir}/mythtv/games/nes/{roms,screens}
mkdir -p %{buildroot}%{_datadir}/mythtv/games/snes/{roms,screens}
mkdir -p %{buildroot}%{_datadir}/mythtv/games/PC/screens
mkdir -p %{buildroot}%{_datadir}/xmame
ln -s %{_datadir}/xmame %{buildroot}%{_datadir}/mythtv/games/xmame
mkdir -p %{buildroot}%{_datadir}/xmame/flyers
ln -s snap %{buildroot}%{_datadir}/xmame/screens

cp -a mythgame/gamelist.xml %{buildroot}%{_datadir}/mythtv/games/PC/

cd ..

cat > develfiles.list << EOF
%{_datadir}/mythtv/build/settings.pro
#%{_includedir}/mythtv/libmyth/mythconfig.mak
%{_includedir}/mythtv/libmythbase/mythconfig.mak
EOF

%clean
rm -rf %{buildroot}

%pre backend
# Add the "mythtv" user
/usr/sbin/useradd -c "mythtvbackend User" \
  -s /sbin/nologin -r -d %{_varlibdir}/mythtv mythtv 2> /dev/null || :

%post backend
/sbin/chkconfig --add mythbackend

%preun backend
if [ $1 = 0 ]; then
  /sbin/service mythbackend stop > /dev/null 2>&1
  /sbin/chkconfig --del mythbackend
fi

%files
%defattr(-,root,root,-)

%files docs
%defattr(-,root,root,-)
%doc mythtv-*/README* mythtv-*/UPGRADING
%doc mythtv-*/AUTHORS mythtv-*/COPYING
%doc mythtv-*/FAQ
%doc mythtv-*/database mythtv-*/keys.txt
%doc mythtv-*/docs mythtv-*/contrib

%files common
%defattr(-,root,root,-)
%dir %{_datadir}/mythtv
%{_datadir}/mythtv/locales
%{_datadir}/mythtv/metadata
%{_datadir}/mythtv/hardwareprofile

%{_bindir}/mythcommflag
#%{_bindir}/mythmessage
%{_bindir}/mythpreviewgen
%{_bindir}/mythtranscode

%{_bindir}/mythffmpeg
#%{_bindir}/mythffplay

%{_bindir}/mythccextractor

%{_bindir}/mythmetadatalookup

%{_bindir}/mythutil

%define ghostattr %attr(0644,root,root) %verify(not md5 size mtime) %ghost %config(missingok,noreplace)

%files backend
%defattr(-,root,root,-)
%doc mythtv-*/COPYING
%{_bindir}/mythbackend
%{_bindir}/mythfilldatabase
%{_bindir}/mythjobqueue
%{_bindir}/mythreplex
%{_bindir}/mythmediaserver
%{_bindir}/mythlogserver
%attr(-,mythtv,mythtv) %dir %{_varlibdir}/mythtv
%attr(-,mythtv,mythtv) %dir %{_varcachedir}/mythtv
%{_initdir}/mythbackend
%config(noreplace) %{_sysconfigdir}/mythbackend
%config(noreplace) %{_logrotatedir}/mythbackend
%config(noreplace) %{_logrotatedir}/mythfilldatabase
%attr(-,mythtv,mythtv) %dir %{_logdir}/mythtv
# Hm, somehow this doesn't work yet ... :(
#%ghostattr %{_logdir}/mythtv/mythbackend.log*
#%ghostattr %{_rundir}/mythbackend.pid
#%ghostattr %{_subsysdir}/mythbackend
%{_datadir}/mythtv/MXML_scpd.xml
%{_datadir}/mythtv/mythconverg_backup.pl
%{_datadir}/mythtv/mythconverg_restore.pl
%{_datadir}/mythtv/html/
%{_datadir}/mythtv/backend-config

%files setup
%defattr(-,root,root,-)
%doc mythtv-*/COPYING
%{_bindir}/mythtv-setup
%{_bindir}/mythtvsetup
%{_datadir}/mythtv/setup.xml
%{_datadir}/applications/*mythtv-setup.desktop
%{_datadir}/pixmaps/mythtv-setup.png

%files frontend
%defattr(-,root,root,-)
%doc mythtv-*/COPYING
%{_datadir}/mythtv/devicemaster.xml
%{_datadir}/mythtv/deviceslave.xml
%{_datadir}/mythtv/CDS_scpd.xml
%{_datadir}/mythtv/CMGR_scpd.xml
%{_datadir}/mythtv/MSRR_scpd.xml
%{_datadir}/mythtv/MFEXML_scpd.xml
%dir %{_datadir}/mythtv/themes/defaultmenu
%{_datadir}/mythtv/themes/defaultmenu/info_menu.xml
%{_datadir}/mythtv/themes/defaultmenu/info_settings.xml
%{_datadir}/mythtv/themes/defaultmenu/library.xml
%{_datadir}/mythtv/themes/defaultmenu/main_settings.xml
%{_datadir}/mythtv/themes/defaultmenu/mainmenu.xml
%{_datadir}/mythtv/themes/defaultmenu/manage_recordings.xml
%{_datadir}/mythtv/themes/defaultmenu/media_settings.xml
%{_datadir}/mythtv/themes/defaultmenu/optical_menu.xml
%{_datadir}/mythtv/themes/defaultmenu/recpriorities_settings.xml
%{_datadir}/mythtv/themes/defaultmenu/tv_lists.xml
%{_datadir}/mythtv/themes/defaultmenu/tv_schedule.xml
%{_datadir}/mythtv/themes/defaultmenu/tv_search.xml
%{_datadir}/mythtv/themes/defaultmenu/tv_settings.xml
%{_datadir}/mythtv/themes/defaultmenu/tvmenu.xml
%{_datadir}/mythtv/themes/defaultmenu/util_menu.xml
%{_bindir}/mythfrontend
%{_bindir}/mythavtest
%{_bindir}/mythlcdserver
%{_bindir}/mythshutdown
%{_bindir}/mythwelcome
%{_libdir}/mythtv/filters
%dir %{_libdir}/mythtv/plugins
%dir %{_datadir}/mythtv/fonts
%doc %{_datadir}/mythtv/fonts/README*
%{_datadir}/mythtv/fonts/*.ttf
%{_datadir}/mythtv/fonts/*.otf
%{_datadir}/mythtv/fonts/tiresias_gpl3.txt
%dir %{_datadir}/mythtv/i18n
%{_datadir}/mythtv/i18n/mythfrontend_*.qm
%{_datadir}/applications/*mythfrontend.desktop
%{_datadir}/pixmaps/mythfrontend.png
%config(noreplace) %{_logrotatedir}/mythfrontend
# mythappearance
%{_datadir}/mythtv/themes/default/appear-ui.xml
%{_datadir}/mythtv/themes/default/bottomright.png
%{_datadir}/mythtv/themes/default/topleft.png
%{_datadir}/mythtv/themes/default-wide/appear-ui.xml
# mythcontrols
%{_datadir}/mythtv/themes/default/controls-ui.xml
%{_datadir}/mythtv/themes/default-wide/controls-ui.xml
# formerly mythvideo
%{_datadir}/mythtv/themes/default/video-ui.xml
%{_datadir}/mythtv/themes/default-wide/video-ui.xml

%files themes -f mythtv-themes.list

%files -n perl-MythTV
%defattr(-,root,root,-)
%{perl_vendorlib}/MythTV*
%{perl_vendorlib}/IO/Socket/INET/MythTV.pm
%exclude %{perl_vendorarch}/auto/MythTV/.packlist

%if %{with bindings_python}
%files -n python-MythTV
%defattr(-,root,root,-)
%{python_sitelib}/MythTV*
%{_bindir}/mythpython
%{_bindir}/mythwikiscripts
%endif

%files -n php-MythTV
%defattr(-,root,root,-)
%{_datadir}/mythtv/bindings/php
%{perl_vendorlib}/MythTV*
%{perl_vendorlib}/IO/Socket/INET/MythTV.pm

%files -n mythplugins
%defattr(-,root,root,-)
%doc mythplugins-*/COPYING

%files -n mythmusic
%defattr(-,root,root,-)
%doc mythplugins-*/mythmusic/README
%doc mythplugins-*/mythmusic/COPYING
%doc mythplugins-*/mythmusic/AUTHORS
%doc mythplugins-*/mythmusic/musicdb
%{_libdir}/mythtv/plugins/libmythmusic.so
%{_varlibdir}/mythmusic
%{_datadir}/mythtv/musicmenu.xml
%{_datadir}/mythtv/music_settings.xml
%{_datadir}/mythtv/i18n/mythmusic_*.qm
%{_datadir}/mythtv/mythmusic
%{_datadir}/mythtv/themes/default/ff_button_off.png
%{_datadir}/mythtv/themes/default/ff_button_on.png
%{_datadir}/mythtv/themes/default/ff_button_pushed.png
%{_datadir}/mythtv/themes/default/mm_*.png
%{_datadir}/mythtv/themes/default-wide/stream-ui.xml
%{_datadir}/mythtv/themes/default-wide/mm_*.png
%{_datadir}/mythtv/themes/default/music-sel-bg.png
%{_datadir}/mythtv/themes/default-wide/music-sel-bg.png
%{_datadir}/mythtv/themes/default/music-ui.xml
%{_datadir}/mythtv/themes/default-wide/music-ui.xml
%{_datadir}/mythtv/themes/default/next_button_off.png
%{_datadir}/mythtv/themes/default/next_button_on.png
%{_datadir}/mythtv/themes/default/next_button_pushed.png
%{_datadir}/mythtv/themes/default/pause_button_off.png
%{_datadir}/mythtv/themes/default/pause_button_on.png
%{_datadir}/mythtv/themes/default/pause_button_pushed.png
%{_datadir}/mythtv/themes/default/play_button_off.png
%{_datadir}/mythtv/themes/default/play_button_on.png
%{_datadir}/mythtv/themes/default/play_button_pushed.png
%{_datadir}/mythtv/themes/default/prev_button_off.png
%{_datadir}/mythtv/themes/default/prev_button_on.png
%{_datadir}/mythtv/themes/default/prev_button_pushed.png
%{_datadir}/mythtv/themes/default/rew_button_off.png
%{_datadir}/mythtv/themes/default/rew_button_on.png
%{_datadir}/mythtv/themes/default/rew_button_pushed.png
%{_datadir}/mythtv/themes/default/selectionbar.png
%{_datadir}/mythtv/themes/default/stop_button_off.png
%{_datadir}/mythtv/themes/default/stop_button_on.png
%{_datadir}/mythtv/themes/default/stop_button_pushed.png
%{_datadir}/mythtv/themes/default/stream-ui.xml
%{_datadir}/mythtv/themes/default/text_button_off.png
%{_datadir}/mythtv/themes/default/text_button_on.png
%{_datadir}/mythtv/themes/default/text_button_pushed.png
%{_datadir}/mythtv/themes/default/track_info_background.png
%{_datadir}/mythtv/themes/default/miniplayer_background.png
%{_datadir}/mythtv/themes/default-wide/mm-titlelines.png
%{_datadir}/mythtv/themes/default/mm-titlelines.png
%{_datadir}/mythtv/themes/default-wide/music-base.xml
%{_datadir}/mythtv/themes/default-wide/musicsettings-ui.xml
%{_datadir}/mythtv/themes/default/music-base.xml
%{_datadir}/mythtv/themes/default/musicsettings-ui.xml

%files -n mythweather
%defattr(-,root,root,-)
%doc mythplugins-*/mythweather/README
%doc mythplugins-*/mythweather/COPYING
%{_libdir}/mythtv/plugins/libmythweather.so
%{_datadir}/mythtv/i18n/mythweather_*.qm
%{_datadir}/mythtv/mythweather
%{_datadir}/mythtv/weather_settings.xml
%{_datadir}/mythtv/themes/default/weather-ui.xml
%{_datadir}/mythtv/themes/default/cloudy.png
%{_datadir}/mythtv/themes/default/fair.png
%{_datadir}/mythtv/themes/default/flurries.png
%{_datadir}/mythtv/themes/default/fog.png
%{_datadir}/mythtv/themes/default/logo.png
%{_datadir}/mythtv/themes/default/lshowers.png
%{_datadir}/mythtv/themes/default/mcloudy.png
%{_datadir}/mythtv/themes/default/mw*.png
%{_datadir}/mythtv/themes/default/pcloudy.png
%{_datadir}/mythtv/themes/default/rainsnow.png
%{_datadir}/mythtv/themes/default/showers.png
%{_datadir}/mythtv/themes/default/snowshow.png
%{_datadir}/mythtv/themes/default/sunny.png
%{_datadir}/mythtv/themes/default/thunshowers.png
%{_datadir}/mythtv/themes/default/unknown.png
%{_datadir}/mythtv/themes/default-wide/weather-ui.xml
%{_datadir}/mythtv/themes/default-wide/mw-*.png

%files -n mythgallery
%defattr(-,root,root,-)
%doc mythplugins-*/mythgallery/README
%doc mythplugins-*/mythgallery/COPYING
%{_libdir}/mythtv/plugins/libmythgallery.so
%{_datadir}/mythtv/themes/default/gallery-ui.xml
%{_datadir}/mythtv/themes/default-wide/gallery-ui.xml
%{_datadir}/mythtv/themes/default/gallery-*.png
%{_datadir}/mythtv/i18n/mythgallery_*.qm
%{_varlibdir}/pictures

%files -n mythgame
%defattr(-,root,root,-)
%{_libdir}/mythtv/plugins/libmythgame.so
%{_datadir}/mythtv/games
%config %{_datadir}/mythtv/games/PC/gamelist.xml
%{_datadir}/xmame/screens
%{_datadir}/xmame/flyers
%{_datadir}/mythtv/game_settings.xml
%{_datadir}/mythtv/themes/default/game-ui.xml
%{_datadir}/mythtv/themes/default-wide/game-ui.xml
%{_datadir}/mythtv/i18n/mythgame_*.qm

%files -n mythnews
%defattr(-,root,root,-)
%doc mythplugins-*/mythnews/README
%doc mythplugins-*/mythnews/AUTHORS
%doc mythplugins-*/mythnews/COPYING
%{_libdir}/mythtv/plugins/libmythnews.so
%{_datadir}/mythtv/mythnews
%{_datadir}/mythtv/themes/default/news-ui.xml
%{_datadir}/mythtv/themes/default-wide/news-ui.xml
%{_datadir}/mythtv/themes/default/news-info-bg.png
%{_datadir}/mythtv/themes/default/enclosures.png
%{_datadir}/mythtv/themes/default/need-download.png
%{_datadir}/mythtv/themes/default/podcast.png
%{_datadir}/mythtv/i18n/mythnews_*.qm

%files -n mythbrowser
%defattr(-,root,root,-)
%doc mythplugins-*/mythbrowser/README
%doc mythplugins-*/mythbrowser/COPYING
%doc mythplugins-*/mythbrowser/AUTHORS
%{_libdir}/mythtv/plugins/libmythbrowser.so
%{_datadir}/mythtv/themes/default-wide/browser-ui.xml
%{_datadir}/mythtv/themes/default/browser-ui.xml
%{_datadir}/mythtv/themes/default/mb_progressbar_background.png
%{_datadir}/mythtv/themes/default/mb_progressbar_fill.png
%{_datadir}/mythtv/themes/default/mb_default_favicon.png
%{_datadir}/mythtv/themes/default/mb_loading_*.png
%{_datadir}/mythtv/i18n/mythbrowser_*.qm

%files -n mytharchive
%defattr(-,root,root,-)
%doc mythplugins-*/mytharchive/README
%doc mythplugins-*/mytharchive/COPYING
%doc mythplugins-*/mytharchive/AUTHORS
%doc mythplugins-*/mytharchive/TODO
%{_bindir}/mytharchivehelper
%{_libdir}/mythtv/plugins/libmytharchive.so
%{_datadir}/mythtv/archivemenu.xml
%{_datadir}/mythtv/archiveutils.xml
%{_datadir}/mythtv/mytharchive
%{_datadir}/mythtv/i18n/mytharchive_*.qm
%{_datadir}/mythtv/themes/default/ma_*.png
%{_datadir}/mythtv/themes/default/mytharchive-ui.xml
%{_datadir}/mythtv/themes/default/mythburn-ui.xml
%{_datadir}/mythtv/themes/default/mythnative-ui.xml
%{_datadir}/mythtv/themes/default-wide/mytharchive-ui.xml
%{_datadir}/mythtv/themes/default-wide/mythburn-ui.xml
%{_datadir}/mythtv/themes/default-wide/mythnative-ui.xml

%files -n mythzoneminder
%defattr(-,root,root,-)
%doc mythplugins-*/mythzoneminder/README
%doc mythplugins-*/mythzoneminder/COPYING
%doc mythplugins-*/mythzoneminder/AUTHORS
%{_libdir}/mythtv/plugins/libmythzoneminder.so
%{_datadir}/mythtv/zonemindermenu.xml
%{_datadir}/mythtv/i18n/mythzoneminder_*.qm
%{_datadir}/mythtv/themes/default/mz_*.png
%{_datadir}/mythtv/themes/default/zoneminder-ui.xml
%{_datadir}/mythtv/themes/default-wide/zoneminder-ui.xml
%{_bindir}/mythzmserver

%files -n mythnetvision
%defattr(-,root,root,-)
%doc mythplugins-*/mythnetvision/README
%{_libdir}/mythtv/plugins/libmythnetvision.so
%{_datadir}/mythtv/i18n/mythnetvision_*.qm
%{_datadir}/mythtv/mythnetvision
%{_datadir}/mythtv/netvisionmenu.xml
%{_datadir}/mythtv/themes/default/netvision-ui.xml
%{_datadir}/mythtv/themes/default-wide/netvision-ui.xml
%{_datadir}/mythtv/internetcontent
%{_bindir}/mythfillnetvision


%changelog
* Mon Sep 23 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.26.1-296
- Update to latest git fixes (v0.26.1-24-g9fd7c61).

* Sat Aug  3 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.26.0-295
- Update to latest git fixes (v0.26.0-220-g92dbb43).
- Remove jamu dependencies.

* Sun Jun  2 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.26.0-294
- Update to latest git fixes (v0.26.0-171-gbfd2408).

* Fri May 17 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.26.0-292
- Update to latest git fixes (v0.26.0-163-g27fa52d).

* Thu Oct 25 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.26.0-291
- Update to latest git fixes (v0.26.0-25-g744a595).

* Sat Oct 14 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.26.0-289
- Update to latest git fixes (v0.26.0-15-g1d4bd65).

* Sat Oct 13 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25.3-289
- Update to 0.25.3 and latest git fixes (v0.25.3-2-g84431ca).

* Sat Sep 29 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25.2-288
- Update to latest git fixes (v0.25.2-25-g0817eb2).

* Fri Aug  3 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25.2-287
- Update to latest git fixes (v0.25.2-72-g1ecdb90).

* Mon Apr 30 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-286
- Update to latest git fixes (v0.25-60-gf444358).

* Fri Apr 13 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-285
- Update to latest git fixes (v0.25-7-g13bc14c).

* Wed Apr 11 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-284
- Update to 0.25 final.

* Sat Apr  7 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-283_v0.25_rc_156_g02216ca
- Update to latest git master (v0.25-rc-156-g02216ca).

* Sat Mar 31 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-282_v0.25_rc_112_g78948da
- Update to latest git master (v0.25-rc-112-g78948da).

* Wed Mar 28 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-281_v0.25_rc_86_g142b981
- Update to latest git master (v0.25-rc-86-g142b981).

* Thu Mar  8 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-279_v0.25_beta_55_g814e880
- Update to latest git master (v0.25-beta-55-g814e880).

* Tue Nov  8 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-278_v0.25pre_3693_ga2e143f
- Update to latest git master (v0.25pre-3693-ga2e143f).

* Fri Sep  2 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-277_v0.25pre_3270_g837f15c
- Update to latest git master (v0.25pre-3270-g837f15c).

* Tue Jul 26 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-275_v0.25pre_2917_gaa5804a
- Update to latest git master (v0.25pre-2917-gaa5804a).

* Sat Jun 11 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-274_v0.25pre_2290_g6be90d3
- Update to latest git master (v0.25pre-2290-g6be90d3).

* Sun May 29 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-273_v0.25pre_2063_g9a646eb
- Update to latest git master (v0.25pre-2063-g9a646eb).

* Tue May 10 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-272_v0.25pre_1955_g714cf09
- Update to latest git master (v0.25pre-1955-g714cf09).

* Sat Apr 30 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-271_v0.25pre_1867_gad091ec
- Update to latest git master (v0.25pre-1867-gad091ec).

* Sun Apr 10 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-270_v0.25pre_1714_g1793105
- Update to latest git master (v0.25pre-1714-g1793105).

* Mon Mar 21 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-269_v0.25pre_1475_g68578e0
- Update to latest git master (v0.25pre-1475-g68578e0).

* Sat Mar  5 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-267_v0.25pre_1345_ge887abe
- Update to latest git master (v0.25pre-1345-ge887abe).

* Thu Feb 24 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-266_v0.25pre_1248_gfc2f0a7
- Update to latest git master (v0.25pre-1248-gfc2f0a7).

* Thu Feb 17 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-265_v0.25pre_1192_gecccd48
- Update to latest git master (v0.25pre-1192-gecccd48).

* Tue Feb  8 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-264_v0.25pre_1121_g80266eb
- Update to latest git master (v0.25pre-1121-g80266eb).

* Thu Feb  3 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-263_v0.25pre_1090_g13722d7
- Update to latest git master (v0.25pre-1090-g13722d7).

* Sun Jan 30 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-262_v0.25pre_1054_g156e8ba
- Update to latest git master (v0.25pre-1054-g156e8ba).
- Split out mythweb.

* Sun Jan 23 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-261_v0.25pre_945_gb34cf7d
- Update to latest git master (v0.25pre-945-gb34cf7d, 05caea0).

* Mon Jan 17 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-260_v0.25pre_873_g5b25e6a
- Update to latest git master (v0.25pre-873-g5b25e6a, 05caea0).

* Thu Jan  6 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-258_v0.25pre_811_g88d17d3
- Update to latest git master (v0.25pre-811-g88d17d3, cc3c3ae).

* Thu Dec 30 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-257_v0.25pre_653_g7c46b75
- Update to latest git master (v0.25pre-653-g7c46b75, cc3c3ae).

* Mon Dec 20 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-256_b0.24_611_g3299535
- Add git describe to release tag.
- Update to latest git master (b0.24-611-g3299535, 4753643).

* Sun Dec 19 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-254
- Update to latest git master.

* Wed Dec 15 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-253
- Switch to git repo.
- Update to latest git master.

* Wed Dec  1 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-252_trunk_r27392
- Update to latest svn trunk (27392).

* Mon Nov 29 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-251_trunk_r27341
- Update to latest svn trunk (27341).

* Wed Nov 24 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-250_trunk_r27333
- Update to latest svn trunk (27333).

* Fri Nov 19 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-249_trunk_r27296
- Update to latest svn trunk (27296).

* Tue Nov 16 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-248_trunk_r27239
- Update to latest svn trunk (27239).

* Mon Nov 15 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-246_trunk_r27209
- Update to latest svn trunk (27219).

* Sat Nov 13 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-246_trunk_r27209
- Update to latest svn trunk (27209).
- Make fully versioned subpackage dependencies.

* Fri Nov 12 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-245_trunk_r27184
- Update to latest svn trunk (27184).

* Wed Nov 10 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.25-244_trunk_r27149
- Update to latest svn trunk (27149).

* Tue Nov  9 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.24-243_trunk_r27142
- Update to latest svn trunk (27142).

* Sun Nov  7 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.24-242_trunk_r27112
- Update to latest svn trunk (27112).

* Mon Nov  1 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.24-241_trunk_r27067
- Update to latest svn trunk (27067).

* Thu Oct 28 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.24-240_trunk_r27015
- Update to latest svn trunk (27015).

* Sun Oct 24 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.24-239_trunk_r26975
- Update to latest svn trunk (26975).

* Sun Oct 17 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.24-238_trunk_r26853
- Update to latest svn trunk (26853).

* Sat Oct  9 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.24-237_trunk_r26722
- Update to latest svn trunk (26722).

* Wed Sep 29 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.24-236_trunk_r26569
- Update to latest svn trunk (26569).

* Sat Jun 19 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.24-234_trunk_r25141
- Update to latest svn trunk (25141).

* Wed May  5 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.24-233_trunk_r24421
- Update to latest svn trunk (24421).

* Tue Apr 27 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.24-232_trunk_r24264
- Update to latest svn trunk (24264).

* Sat Apr 17 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.24-231_trunk_r24170
- Update to latest svn trunk (24170).

* Sat Mar 27 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-229_trunk_r23817
- Update to latest svn trunk (23817).

* Sat Mar 20 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-228_trunk_r23769
- Update to latest svn trunk (23769).

* Sun Jan 31 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-227_trunk_r23405
- Update to latest svn trunk (23405).
- Fix bug #1544.

* Sun Jan 24 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-226_trunk_r23254
- Update to latest svn trunk (23254).

* Sun Jan 17 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-225_trunk_r23178
- Update to latest svn trunk (23178).

* Tue Jan  5 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-224_trunk_r23074
- Update to latest svn trunk (23074).

* Thu Dec 10 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-223_trunk_r22973
- Update to latest svn trunk (22973).

* Sun Nov 22 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-222_trunk_r22885
- Update to latest svn trunk (22885).

* Mon Nov 16 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-221_trunk_r22849
- Update to latest svn trunk (22849).

* Fri Nov  6 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-220_trunk_r22749
- Update to latest svn trunk (22749).

* Sun Nov  1 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-219_trunk_r22680
- Update to latest svn trunk (22689).

* Sat Oct 24 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.23-218_trunk_r22585
- Update to latest svn trunk (22585).

* Sat Oct 17 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-216_trunk_r22514
- Update to latest svn trunk (22514).

* Thu Oct 15 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-215_trunk_r22462
- Update to latest svn trunk (22462 - post-rc1).

* Sat Oct  3 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-214_trunk_r22186
- Update to latest svn trunk (22186).

* Tue Aug 25 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-213_trunk_r21509
- Update to latest svn trunk (21509).

* Sun Aug 23 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-212_trunk_r21468
- Update to latest svn trunk (21468).

* Fri Jul 24 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-211_trunk_r21011
- Update to latest svn trunk (21011).

* Fri Jul 17 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-210_trunk_r20931
- Update to latest svn trunk (20931).

* Sat Jun 13 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-209_trunk_r20696
- Update to latest svn trunk (20696).

* Wed May 20 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-208_trunk_r20600
- Update to latest svn trunk (20640).

* Wed Apr 22 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-206_trunk_r20441
- Update to latest svn trunk (20441).
- Add pulseaudio support.

* Mon Apr 20 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-205_trunk_r20435
- Update to latest svn trunk (20435).
- Make mythweb depend on ffmpeg (bug #1453).
- add opengl_14 conditional, and build with glx-procaddrarb if it's
  not defined.  This un-breaks nvidia-legacy playback. By Bill
  McGonigle <bill@bfccomputing.com> (bug #1392).
- Make mythweather depend on perl(XML::SAX::Base) (bug #1388).

* Sun Apr 12 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-204_trunk_r20360
- Update to latest svn trunk (20360).

* Sun Mar 29 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-203_trunk_r20282
- Update to latest svn trunk (20282).

* Mon Mar  2 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-202_trunk_r20083
- Update to latest svn trunk (20083).

* Sat Jan 31 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-201_trunk_r19896
- Update to latest svn trunk (19896).

* Sat Jan 10 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-200_trunk_r19631
- Update to latest svn trunk (19631).

* Mon Nov 17 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-197_trunk_r19114
- Update to latest svn trunk (19114).

* Sat Oct 18 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-194_trunk_r18753
- Update to latest svn trunk (18753).

* Mon Jul 28 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.22-193_trunk_r17961
- Update to latest svn trunk (17961).

* Mon Jun 30 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-191
- Update to latest svn fixes (17662).

* Wed Jun 11 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-190
- Update to latest svn fixes (17453).

* Fri May 30 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-189
- Update to latest svn fixes (17421).

* Tue May 27 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-188
- Update to latest svn fixes (17406).

* Wed Apr 30 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-187
- Update to latest svn fixes (17180).

* Mon Apr 21 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-186
- Update to latest svn fixes (17114).

* Sun Mar 30 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-185
- Update to latest svn fixes (16840).

* Sat Mar 22 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-184
- Update to latest svn fixes (16745).

* Thu Mar 13 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-183
- Update to latest svn fixes (16539).

* Tue Mar 11 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-182
- Update to latest svn fixes (16519).

* Sun Mar  9 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-181
- Update to 0.21 final.

* Sat Mar  8 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-180_trunk_r16461
- Update to latest svn release-0-21-fixes branch (16461).

* Tue Feb 26 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-178_trunk_r16254
- Update to latest svn release-0-21-fixes branch (16254).
- Fix init script.

* Fri Feb 22 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-177_trunk_r16201
- Update to latest svn release-0-21-fixes branch (16201).

* Mon Feb 18 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-176_trunk_r16131
- Update to latest svn release-0-21-fixes branch (16131).

* Sun Feb  3 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-175_trunk_r15741
- Update to latest svn trunk (15741).

* Tue Jan 15 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-174_trunk_r15447
- Update to latest svn trunk (15447).

* Sat Jan 05 2008 Harry Orenstein <holists@verizon.net>
- Move mythtv-setup .desktop and .png to mythtv-setup package
- Add logrotate script to mythfrontend

* Sat Jan  5 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-173_trunk_r15333
- Update to latest svn trunk (15333).

* Tue Nov 20 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-172_trunk_r14921
- Update to latest svn trunk (14921).

* Thu Nov  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-171_trunk_r14785
- Update to latest svn trunk (14785).

* Sat Oct  6 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-170_trunk_r14618
- Update to latest svn trunk (14618).

* Sat Sep  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-169_trunk_r14374
- Update to latest svn trunk (14374).

* Mon Aug 27 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-168_trunk_r14327
- Update to latest svn trunk (14327).

* Thu Aug 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-167_trunk_r14266
- Update to latest svn trunk (14266).

* Wed Aug 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-166_trunk_r14251
- Update to latest svn trunk (14251).

* Tue Aug 21 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-165_trunk_r14239
- Update to latest svn trunk (14239).

* Fri Jul 27 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-164_trunk_r14051
- Update to latest svn trunk (14051).

* Sun Jun 24 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-163_trunk_r13756
- Update to latest svn trunk (13756).

* Mon Jun 18 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-162_trunk_r13726
- Update to latest svn trunk (13726).
- Add mythmovies subpackage.
- Rename mythtv-suite to mythtv, mythtv to mythtv-docs.

* Thu May 17 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-159_trunk_r13460
- Update to latest svn trunk (13460).

* Mon Apr 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-157_trunk_r13316
- Update to latest svn trunk (13316).

* Fri Apr 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-156_trunk_r13228
- Update to latest svn trunk (13228).

* Wed Mar 14 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-155_trunk_r13045
- Update to latest svn trunk (13045).
- Remove libdvdcss BR.

* Fri Feb 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-154_trunk_r12854
- Update to latest svn trunk (12854).

* Tue Feb 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-153_trunk_r12782
- Update to latest svn trunk (12782).

* Tue Jan 30 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-152_trunk_r12674
- Update to latest svn trunk (12674).

* Tue Jan 16 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-150_trunk_r12545
- Update to latest svn trunk (12545).

* Sat Dec 30 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-149_trunk_12353
- Update to latest svn trunk (12353).

* Wed Dec 13 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.21-148_trunk_r12253
- Update to latest svn trunk (12253).

* Thu Nov 23 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-147
- Fix some post-merge issues of duplicate file to package mapping.
- Merge in mythweb.
- Update to latest svn fixes (11812).

* Fri Nov 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-145
- Merge in mythplugins' build.

* Sun Nov  5 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-144
- Update to latest svn fixes (11683).

* Fri Oct 27 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-143
- Update to latest svn fixes (r11622).

* Tue Oct 17 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-142
- Update to latest svn fixes (r11558).

* Tue Oct 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-141
- Update to latest svn fixes (r11499).

* Fri Oct  6 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-140
- Update to latest svn fixes (r11452).

* Tue Sep 26 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-139
- Update to latest svn fixes (r11293).

* Fri Sep 15 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-137
- Update to latest svn fixes (r11202).

* Tue Sep 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-134
- Update to latest svn fixes (r11164).

* Mon Sep 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.20-133
- Update to 0.20.

* Fri Sep  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.19-131
- Update to latest svn fixes (r11073).

* Mon Jul 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.19-130
- Update to latest svn fixes (r10665).

* Wed Jun  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest svn fixes (r10138).

* Tue May  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest svn fixes (r9850).

* Tue Apr 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest svn fixes (r9797).
- Remove xtraview & DVB-T radio patch.

* Sun Apr  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest svn fixes (r9656).

* Tue Apr 4 2006 Alex Butcher
- include xtraview patch
- include DVB-T radio patch from SVN
- include menu items for mythstream

* Fri Mar 24 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest svn fixes (r9486).

* Wed Mar  1 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest svn fixes (r9217).

* Sat Feb 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Move setup.xml to mythtv-setup (bug #737).

* Thu Feb 23 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest svn fixes.

* Sun Feb 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest svn fixes.

* Sun Feb 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.19.

* Wed Jan  4 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest svn fixes.
- Remove mythtv-0.18.1-gccfixes.patch, it is in svnfixes now.

* Sat Sep 17 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to latest svn fixes.

* Sat Jun  4 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update cvsfixes (gcc4 support).
- More /lib vs %%{_lib} fixes. 

* Tue May 31 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update cvsfixes, reenable opengl_vsync.

* Wed May 25 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- New stable cvs fixes.

* Mon May 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.18.1.

* Thu May 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update the cvs fixes.

* Sun Apr 24 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Use libXvMCw.

* Thu Apr 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add cvsfixes for 0.18.

* Tue Apr 19 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Remove MYOPTFLAGS hack.
- specfile cleanup by Chris Petersen <xris@forevermore.net>.

* Fri Apr 15 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.18.

* Thu Apr 14 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Split off some themes into the myththemes package.

* Mon Apr 04 2005 Jarod Wilson <jarod@wilsonet.com>
- Rebuilt against nVidia 7174 XvMC
- Includes Qt 3.3.4 time change patch

* Thu Mar 03 2005 Jarod Wilson <jarod@wilsonet.com>
- Rebuilt against 20050228 DVB
- Add patch to include nVidia XvMC support again,
  but have it turned off by default

* Wed Feb 23 2005 Jarod Wilson <jarod@wilsonet.com>
- Added FireWire support

* Fri Feb 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.17.

* Sat Nov 27 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Now that it works, disable XvMC in default build ...

* Wed Nov 24 2004 Jarod Wilson <jcw@wilsonet.com>
- Fix xvmcnvidia build.

* Fri Sep 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Remove dependencies on xmltv-grabbers and mysql (Edward Rudd
  <eddie@omegaware.com>).
- Include math.h in dvbdiseqc.cpp (Edward Rudd <eddie@omegaware.com>).
- Enable opengl_vsync and xrandr for some distributions.

* Fri Sep 10 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.16.

* Tue Aug  21 2004 Ben Stanley <bds02@uow.edu.au>
- Sub-release 75.
- Included dvb support in the build. 
- Included .png files for html help

* Tue Jun  1 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add patch for gcc < 3 (Edward Rudd <eddie@omegaware.com>).
- Update to 0.15.1.
- Remove patch, has already been applied.
- New patch from Edward.

* Thu May 27 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Updated to 0.15.

* Wed May  5 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Use workaround for qmake project depth bug
  (by Robert Hardy <rhardy@webcon.ca>).

* Tue Feb 17 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Split off mythtvsetup and the base themes into their own sub packages.
- Make mysql.txt part of both frontend and backend.
- Added support for arts and dvb. arts has been enabled by default.

* Sun Feb  1 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.14.
- Disable directfb in default build.

* Sun Jan  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Enable directfb.

* Sat Dec 20 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Patch for missing tvformat default (bttv always did PAL).

* Thu Dec 11 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.13.
- Remove ringbuffer patch (applied in 0.13).

* Tue Oct 21 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add cvs patch fixing ringbuffer races.
- Remove settings patch for alsa/lirc and make it configurable
  from the rpmbuild invocation instead with --with/--without switches
- New qmake invocation.

* Sun Oct 19 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.12.
- Move path macros out of specfile.
- Remove imdb patch.
- Silence install/upgrade output.

* Mon Oct 13 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Activate native alsa and lirc modes.

* Sat Sep 20 2003 "Jarod C. Wilson" <jcw@wilsonet.com>
- Added patch for imdb changes.

* Sat Aug 16 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.11.

* Wed Jul  2 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.10.

* Tue Jun 24 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Make logrotate script accept non-existing logfiles.

* Sat Jun 21 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Split off mythtv-suite.

* Thu Jun 12 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9.1 release.
- Split /var/spool/mythtv to /var/lib/mythtv and /var/cache/mythtv.
  (as Debian does).

* Tue Jun 10 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.9 release.

* Wed May 14 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fixed packaging bug in libmyth-devel.

* Tue Apr  8 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Rebuilt for Red Hat 9.

* Sun Mar 23 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fixed desktop entries.

* Sat Mar 22 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add g flag to sed.
- Don't use mythtv user yet.

* Fri Mar 21 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add mythtv user.
- Add desktop entries.

* Wed Mar 19 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Added start/stop scripts for mythbackend.

* Tue Mar 18 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Removed unneeded 0.7 patches.

* Mon Mar 17 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.8.
- Synced with Matt Zimmerman's debian package (package splitting).
- Split off lib, devel, frontend, backend packages.

* Thu Feb 13 2003 Paul Jara <pjara@rogers.com>
- Added a patch that prevents a segmentation fault in mythfilldatabase.

* Thu Jan 16 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Added dependency to qt-MySQL (Roy Stogner <roystgnr@ticam.utexas.edu>).

* Thu Dec  5 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- fixed installation paths.

* Wed Nov 13 2002 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


